> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a single team within a single org

> Update a single team within a single org



## OpenAPI

````yaml patch /v1/core/organizations/{orgId}/teams/{teamId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/core/organizations/{orgId}/teams/{teamId}:
    patch:
      summary: Update a single team within a single org
      description: Update a single team within a single org
      parameters:
        - schema:
            type: string
            description: Organization ID
          required: true
          description: Organization ID
          name: orgId
          in: path
        - schema:
            type: string
            description: ID of the team to update
          required: true
          description: ID of the team to update
          name: teamId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: New team name
                coachUids:
                  type: array
                  items:
                    type: string
                  description: New array of coach user IDs
                memberUids:
                  type: array
                  items:
                    type: string
                  description: New array of member user IDs
                newUserDefaultConversationTypes:
                  type: array
                  items:
                    type: string
                  description: New array of conversation type IDs
                betaFeatures:
                  type: array
                  items:
                    type: string
                  description: Beta features enabled for this team
      responses:
        '200':
          description: Update a single team within a single org
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Team ID
                  name:
                    type: string
                    nullable: true
                    description: Team name
                  organizationId:
                    type: string
                    description: Organization this team belongs to
                  coachUids:
                    type: array
                    items:
                      type: string
                    description: Array of coach user IDs
                  coachManifest:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        email:
                          type: string
                          nullable: true
                        firstName:
                          type: string
                          nullable: true
                        lastName:
                          type: string
                          nullable: true
                      required:
                        - email
                        - firstName
                        - lastName
                    description: Map of coach UIDs to their manifest data
                  memberUids:
                    type: array
                    items:
                      type: string
                    description: Array of member user IDs
                  memberManifest:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        email:
                          type: string
                          nullable: true
                        firstName:
                          type: string
                          nullable: true
                        lastName:
                          type: string
                          nullable: true
                      required:
                        - email
                        - firstName
                        - lastName
                    description: Map of member UIDs to their manifest data
                  newUserDefaultConversationTypes:
                    type: array
                    items:
                      type: string
                    description: Array of conversation type IDs
                  createdAt:
                    type: string
                    nullable: true
                    description: ISO 8601 date string
                required:
                  - id
                  - name
                  - organizationId
                  - coachUids
                  - coachManifest
                  - memberUids
                  - memberManifest
                  - newUserDefaultConversationTypes
                  - createdAt
        '404':
          description: Team not found or you do not have permission to update it.
          content:
            text/plain:
              schema:
                type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````